# Name

gitlab

# Category

Bug System

# Description

Enables support for reading and writing back to Gitlab and compatible systems such as Gitlab Enterprise. See also the Bugsystems documentation for more information.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--gitlab-disable-write` | Turn off writing to Gitlab merge requests
`--gitlab-repo=<repo>` | `username/repository` identifier
`--gitlab-token=<token>` | OAuth 2.0 token to use for authentication
`--gitlab-url=<url>` | REST API URL (for Gitlab Enterprise)

# Docker Notes

None

# Developer Notes

All of the command line settings may also be set via internal environment variables. However care must be taken to not step on robots that will also set some of these variables.